package org.antlr.codegen;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import java.util.Locale;
import org.antlr.codegen.CSharp3Target;
import org.antlr.codegen.CodeGenerator;
import org.stringtemplate.v4.AttributeRenderer;

public class StringRenderer implements AttributeRenderer {
  private final CodeGenerator _generator;
  
  private final CSharp3Target _target;
  
  public StringRenderer(CodeGenerator generator, CSharp3Target target) {
    this._generator = generator;
    this._target = target;
  }
  
  public String toString(Object obj, String formatName, Locale locale) {
    String value = (String)obj;
    if (value == null || formatName == null)
      return value; 
    if (formatName.equals("id")) {
      if (CSharp3Target.access$000().contains(value))
        return "@" + value; 
      return value;
    } 
    if (formatName.equals("cap"))
      return Character.toUpperCase(value.charAt(0)) + value.substring(1); 
    if (formatName.equals("string"))
      return this._target.getTargetStringLiteralFromString(value, true); 
    throw new IllegalArgumentException("Unsupported format name: '" + formatName + "'");
  }
}
